---
title: Keyboard navigation
metaTitle: Keyboard navigation - Guide - Handsontable Documentation
permalink: /next/keyboard-navigation
canonicalUrl: /keyboard-navigation
tags:
  - key bindings
  - keymap
---

# Keyboard navigation

[[toc]]

## Navigation

| Windows shortcut | Mac shortcut | Command |
|---|---|---|
| <kbd>Arrow Up ↑</kbd> | <kbd>Arrow Up ↑</kbd>  | Move to the cell above current active cell if exists |
| <kbd>Arrow Down ↓</kbd> | <kbd>Arrow Down ↓</kbd> | Move to cell below the current active cell if exists |
| <kbd>Arrow Right →</kbd> | <kbd>Arrow Right →</kbd> | Move to the cell on the right side of the current active cell if exists |
| <kbd>Arrow Left ←</kbd> | <kbd>Arrow Left ←</kbd> | Move to the cell on the left side of current active cell if exists |
| <kbd>Tab</kbd> | <kbd>Tab</kbd> | Move to the cell on the right side of the current active cell if exists |
| <kbd>Tab</kbd> + <kbd>Shift</kbd> | <kbd>Tab</kbd> + <kbd>Shift</kbd> | Move to the cell on the left side of current active cell if exists |
| <kbd>Home</kbd> | <kbd>Fn</kbd> + <kbd>Arrow Left ←</kbd> | Move to the first cell in a row |
| <kbd>End</kbd> | <kbd>Fn</kbd> + <kbd>Arrow Right →</kbd> | Move to the last cell in a row |
| <kbd>Ctrl</kbd> + <kbd>Home</kbd> | <kbd>Ctrl</kbd> + <kbd>Fn</kbd> + <kbd>Arrow Left ←</kbd><br>or<br><kbd>Cmd</kbd> + <kbd>Home</kbd> | Move to the first cell in a column |
| <kbd>Ctrl</kbd> + <kbd>End</kbd> | <kbd>Ctrl</kbd> + <kbd>Fn</kbd> + <kbd>Arrow Right →</kbd><br>or<br><kbd>Cmd</kbd> + <kbd>End</kbd> | Move to the last cell in a column |


## Selection

| Windows Shortcut key| Mac Shortcut key | Command |
|---|---|---|
| <kbd>Ctrl</kbd> + <kbd>A</kbd>  | <kbd>Cmd</kbd> + <kbd>A</kbd>  | Select all |
| <kbd>Shift</kbd> + <kbd>Arrow Up ↑</kbd>  | <kbd>Shift</kbd> + <kbd>Arrow Up ↑</kbd> | Extend selection of the cell above  |
| <kbd>Shift</kbd> + <kbd>Arrow Down ↓</kbd> | <kbd>Shift</kbd> + <kbd>Arrow Down ↓</kbd> | Extend selection of the cell underneath |
| <kbd>Shift</kbd> + <kbd>Arrow Right →</kbd>  | <kbd>Shift</kbd> + <kbd>Arrow Right →</kbd> | Extend selection of the cell on the right |
| <kbd>Shift</kbd> + <kbd>Arrow Left ←</kbd> | <kbd>Shift</kbd> + <kbd>Arrow Left ←</kbd> | Extend selection of the cell on the left  |
| <kbd>Shift</kbd> + <kbd>Home</kbd>  | <kbd>Shift</kbd> + <kbd>Fn</kbd> + <kbd>Arrow Left ←</kbd><br>or<br><kbd>Shift</kbd> + <kbd>Home</kbd> | Select all cells in the row to the left including the current cell |
| <kbd>Shift</kbd> + <kbd>End</kbd> | <kbd>Shift</kbd> + <kbd>Fn</kbd> + <kbd>Arrow Right →</kbd><br>or<br><kbd>Shift</kbd> + <kbd>End</kbd> | Select all cells in the row to the right including the current cell |
| <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Home</kbd> | <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Fn</kbd> + <kbd>Arrow Left ←</kbd><br>or<br><kbd>Cmd</kbd> + <kbd>Shift</kbd> + <kbd>Home</kbd>  | Select all cells in the column to the top including the current cell  |
| <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>End</kbd>  | <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Fn</kbd> + <kbd>Arrow Right →</kbd><br>or<br><kbd>Cmd</kbd> + <kbd>Shift</kbd> + <kbd>End</kbd>  | Select all cells in the column to the bottom including the current cell  |
| <kbd>Ctrl</kbd> + <kbd>M</kbd>  | <kbd>Cmd</kbd> + <kbd>M</kbd>  | M§erge/unmerge selected cells when plugin `mergeCells` are enabled |

## Controlling the editor

| Windows shortcut | Mac shortcut | Command |
|---|---|---|
| <kbd>Enter ⏎</kbd> | <kbd>Enter ⏎</kbd> | Open/close cell editor|
| <kbd>F2</kbd> | <kbd>F2</kbd> | Open cell editor|
| <kbd>Esc</kbd> | <kbd>Esc</kbd> | Cancel editing and close cell editor|
| <kbd>Backspace</kbd> | <kbd>Backspace</kbd> | Empty cell |
| <kbd>Delete</kbd>  | <kbd>Delete</kbd> | Empty cell |
| <kbd>Shift</kbd> + <kbd>Enter ⏎</kbd> | <kbd>Shift</kbd> + <kbd>Enter ⏎</kbd> | Opens editor and move to the cell above current active cell (if exists) |
| <kbd>Ctrl</kbd> + <kbd>Enter ⏎</kbd> | <kbd>Ctrl</kbd> + <kbd>Enter ⏎</kbd> | Opens editor and adds new line in the cell |
| <kbd>Ctrl</kbd> + <kbd>C</kbd><br>or<br><kbd>Ctrl</kbd> + <kbd>Insert</kbd> | <kbd>Cmd</kbd> + <kbd>C</kbd> | Copy cell's content |
| <kbd>Ctrl</kbd> + <kbd>X</kbd> | <kbd>Cmd</kbd> + <kbd>X</kbd> | Cut cell's content |
| <kbd>Ctrl</kbd> + <kbd>V</kbd><br>or<br><kbd>Shift</kbd> + <kbd>Insert</kbd> | <kbd>Cmd</kbd> + <kbd>V</kbd> | Paste cell's content |
| <kbd>Ctrl</kbd> + <kbd>Enter ⏎</kbd> | <kbd>Cmd</kbd> + <kbd>Enter ⏎</kbd> | Fill all selected cells with edited cell's value |
| <kbd>Ctrl</kbd> + <kbd>Z</kbd>  | <kbd>Cmd</kbd> + <kbd>Z</kbd> | undo |
| <kbd>Ctrl</kbd> + <kbd>Y</kbd> | <kbd>Cmd</kbd> + <kbd>Y</kbd> | redo |

## Context menu

| Windows shortcut | Mac shortcut | Command |
|---|---|---|
|<kbd>Arrow Down ↓</kbd> | <kbd>Arrow Down ↓</kbd> | Move to the next option in context menu |
| <kbd>Arrow Up ↑</kbd> | <kbd>Arrow Up ↑</kbd> | Move to the previous option in context menu |
| <kbd>Enter ⏎</kbd> | <kbd>Enter ⏎</kbd>  | Select option from context menu |
